=== modified file 'drizzled/field.cc'
--- drizzled/field.cc	2011-02-19 03:00:37 +0000
+++ drizzled/field.cc	2011-02-20 01:01:53 +0000
@@ -746,7 +746,7 @@
   return 0;
 }
 
-bool Field::is_null(ptrdiff_t row_offset)
+bool Field::is_null(ptrdiff_t row_offset) const
 {
   return null_ptr ?
     (null_ptr[row_offset] & null_bit ? true : false) :
@@ -1030,7 +1030,7 @@
   return false;
 }
 
-bool Field::get_time(type::Time &ltime)
+bool Field::get_time(type::Time &ltime) const
 {
   char buff[type::Time::MAX_STRING_LENGTH];
   String tmp(buff,sizeof(buff),&my_charset_bin),*res;

=== modified file 'drizzled/field.h'
--- drizzled/field.h	2011-02-19 03:00:37 +0000
+++ drizzled/field.h	2011-02-20 01:01:53 +0000
@@ -363,7 +363,7 @@
   // For new field
   virtual uint32_t size_of() const =0;
 
-  bool is_null(ptrdiff_t row_offset= 0);
+  bool is_null(ptrdiff_t row_offset= 0) const;
   bool is_real_null(ptrdiff_t row_offset= 0);
   bool is_null_in_record(const unsigned char *record);
   bool is_null_in_record_with_offset(ptrdiff_t offset);
@@ -597,7 +597,7 @@
   void copy_from_tmp(int offset);
   uint32_t fill_cache_field(CacheField *copy);
   virtual bool get_date(type::Time &ltime,uint32_t fuzzydate) const;
-  virtual bool get_time(type::Time &ltime);
+  virtual bool get_time(type::Time &ltime) const;
   virtual const CHARSET_INFO *charset(void) const { return &my_charset_bin; }
   virtual const CHARSET_INFO *sort_charset(void) const { return charset(); }
   virtual bool has_charset(void) const { return false; }

=== modified file 'drizzled/field/date.cc'
--- drizzled/field/date.cc	2011-02-19 01:04:19 +0000
+++ drizzled/field/date.cc	2011-02-20 01:01:53 +0000
@@ -230,7 +230,7 @@
           1 : 0);
 }
 
-bool Field_date::get_time(type::Time &ltime)
+bool Field_date::get_time(type::Time &ltime) const
 {
   return Field_date::get_date(ltime ,0);
 }

=== modified file 'drizzled/field/date.h'
--- drizzled/field/date.h	2011-02-19 01:04:19 +0000
+++ drizzled/field/date.h	2011-02-20 01:01:53 +0000
@@ -76,7 +76,7 @@
   bool can_be_compared_as_int64_t() const { return true; }
   bool zero_pack() const { return 1; }
   bool get_date(type::Time &ltime,uint32_t fuzzydate) const;
-  bool get_time(type::Time &ltime);
+  bool get_time(type::Time &ltime) const;
 };
 
 } /* namespace drizzled */

=== modified file 'drizzled/field/datetime.cc'
--- drizzled/field/datetime.cc	2011-02-19 01:04:19 +0000
+++ drizzled/field/datetime.cc	2011-02-20 01:01:53 +0000
@@ -236,7 +236,7 @@
   return (!(fuzzydate & TIME_FUZZY_DATE) && (!ltime.month || !ltime.day)) ? 1 : 0;
 }
 
-bool Field_datetime::get_time(type::Time &ltime)
+bool Field_datetime::get_time(type::Time &ltime) const
 {
   return Field_datetime::get_date(ltime,0);
 }

=== modified file 'drizzled/field/datetime.h'
--- drizzled/field/datetime.h	2011-02-19 01:04:19 +0000
+++ drizzled/field/datetime.h	2011-02-20 01:01:53 +0000
@@ -79,7 +79,7 @@
   bool can_be_compared_as_int64_t() const { return true; }
   bool zero_pack() const { return 1; }
   bool get_date(type::Time &ltime,uint32_t fuzzydate) const;
-  bool get_time(type::Time &ltime);
+  bool get_time(type::Time &ltime) const;
 };
 
 } /* namespace drizzled */

=== modified file 'drizzled/field/epoch.cc'
--- drizzled/field/epoch.cc	2011-02-19 01:04:19 +0000
+++ drizzled/field/epoch.cc	2011-02-20 01:01:53 +0000
@@ -297,7 +297,7 @@
   return 0;
 }
 
-bool Epoch::get_time(type::Time &ltime)
+bool Epoch::get_time(type::Time &ltime) const
 {
   return Epoch::get_date(ltime, 0);
 }
@@ -368,7 +368,7 @@
   }
 }
 
-long Epoch::get_timestamp(bool *null_value)
+long Epoch::get_timestamp(bool *null_value) const
 {
   if ((*null_value= is_null()))
     return 0;

=== modified file 'drizzled/field/epoch.h'
--- drizzled/field/epoch.h	2011-02-19 01:04:19 +0000
+++ drizzled/field/epoch.h	2011-02-20 01:01:53 +0000
@@ -71,7 +71,7 @@
   virtual void set_default();
 
   /* Get TIMESTAMP field value as seconds since begging of Unix Epoch */
-  virtual long get_timestamp(bool *null_value);
+  virtual long get_timestamp(bool *null_value) const;
 
   virtual bool is_timestamp() const
   {
@@ -80,7 +80,7 @@
 
 private:
   bool get_date(type::Time &ltime,uint32_t fuzzydate) const;
-  bool get_time(type::Time &ltime);
+  bool get_time(type::Time &ltime) const;
 
 public:
   virtual timestamp_auto_set_type get_auto_set_type() const;

=== modified file 'drizzled/field/microtime.cc'
--- drizzled/field/microtime.cc	2011-02-19 01:04:19 +0000
+++ drizzled/field/microtime.cc	2011-02-20 01:01:53 +0000
@@ -239,7 +239,7 @@
   return false;
 }
 
-bool Microtime::get_time(type::Time &ltime)
+bool Microtime::get_time(type::Time &ltime) const
 {
   return Microtime::get_date(ltime, 0);
 }
@@ -294,7 +294,7 @@
   pack_num(fractional_seconds, ptr +8);
 }
 
-long Microtime::get_timestamp(bool *null_value)
+long Microtime::get_timestamp(bool *null_value) const
 {
   if ((*null_value= is_null()))
     return 0;

=== modified file 'drizzled/field/microtime.h'
--- drizzled/field/microtime.h	2011-02-19 01:04:19 +0000
+++ drizzled/field/microtime.h	2011-02-20 01:01:53 +0000
@@ -70,11 +70,11 @@
   void set_time();
 
   /* Get TIMESTAMP field value as seconds since begging of Unix Microtime */
-  long get_timestamp(bool *null_value);
+  long get_timestamp(bool *null_value) const;
 
 private:
   bool get_date(type::Time &ltime,uint32_t fuzzydate) const;
-  bool get_time(type::Time &ltime);
+  bool get_time(type::Time &ltime) const;
 
 public:
   static size_t max_string_length()

=== modified file 'drizzled/field/time.cc'
--- drizzled/field/time.cc	2011-02-19 01:04:19 +0000
+++ drizzled/field/time.cc	2011-02-20 01:01:53 +0000
@@ -234,7 +234,7 @@
   return 0;
 }
 
-bool Time::get_time(type::Time &ltime)
+bool Time::get_time(type::Time &ltime) const
 {
   return Time::get_date(ltime, 0);
 }
@@ -275,7 +275,7 @@
   res.set_ascii(STRING_WITH_LEN("timestamp"));
 }
 
-long Time::get_timestamp(bool *null_value)
+long Time::get_timestamp(bool *null_value) const
 {
   if ((*null_value= is_null()))
     return 0;

=== modified file 'drizzled/field/time.h'
--- drizzled/field/time.h	2011-02-19 01:04:19 +0000
+++ drizzled/field/time.h	2011-02-20 01:01:53 +0000
@@ -64,10 +64,10 @@
   bool zero_pack() const { return 0; }
 
   /* Get TIME field value as seconds since begging of Unix Epoch */
-  long get_timestamp(bool *null_value);
+  long get_timestamp(bool *null_value) const;
 private:
-  bool get_date(type::Time &ltime,uint32_t fuzzydate) const;
-  bool get_time(type::Time &ltime);
+  bool get_date(type::Time &ltime, uint32_t fuzzydate) const;
+  bool get_time(type::Time &ltime) const;
 
 public:
   timestamp_auto_set_type get_auto_set_type() const;

=== modified file 'drizzled/field/uuid.cc'
--- drizzled/field/uuid.cc	2011-02-19 01:04:19 +0000
+++ drizzled/field/uuid.cc	2011-02-20 01:01:53 +0000
@@ -181,7 +181,7 @@
   return true;
 }
 
-bool Uuid::get_time(type::Time &ltime)
+bool Uuid::get_time(type::Time &ltime) const
 {
   return get_date(ltime, 0);
 }

=== modified file 'drizzled/field/uuid.h'
--- drizzled/field/uuid.h	2011-02-19 01:04:19 +0000
+++ drizzled/field/uuid.h	2011-02-20 01:01:53 +0000
@@ -67,7 +67,7 @@
   uint32_t size_of() const { return sizeof(*this); }
 
   bool get_date(type::Time &ltime, uint32_t) const;
-  bool get_time(type::Time &ltime);
+  bool get_time(type::Time &ltime) const;
 
 #ifdef NOT_YET
   void generate();

